com.amazonaws.services.workspaces.model

## Class RebuildRequest

- java.lang.Object
- - com.amazonaws.services.workspaces.model.RebuildRequest

All Implemented Interfaces:
  Serializable, Cloneable

    public class RebuildRequest
    extends Object
    implements Serializable, Cloneable

Contains information used with the RebuildWorkspaces operation to rebuild a WorkSpace.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`RebuildRequest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`RebuildRequest` `clone()`
`boolean` `equals(Object obj)`
`String` `getWorkspaceId()` The identifier of the WorkSpace to rebuild.
`int` `hashCode()`
`void` `setWorkspaceId(String workspaceId)` The identifier of the WorkSpace to rebuild.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`RebuildRequest` `withWorkspaceId(String workspaceId)` The identifier of the WorkSpace to rebuild.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### RebuildRequest

    public RebuildRequest()

### Method Detail

#### setWorkspaceId

    public void setWorkspaceId(String workspaceId)

The identifier of the WorkSpace to rebuild.

Parameters:
  `workspaceId` - The identifier of the WorkSpace to rebuild.

#### getWorkspaceId

    public String getWorkspaceId()

The identifier of the WorkSpace to rebuild.

Returns:
  The identifier of the WorkSpace to rebuild.

#### withWorkspaceId

    public RebuildRequest withWorkspaceId(String workspaceId)

The identifier of the WorkSpace to rebuild.

Parameters:
  `workspaceId` - The identifier of the WorkSpace to rebuild.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public RebuildRequest clone()

Overrides:
  `clone` in class `Object`